ClarisDrawTextInternal Namespace Reference

Internal: the structures of a ClarisDrawText. More...

## Classes

struct | PLC
| Internal : the different plc types: mainly for debugging. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | ParagraphPLC
| paragraph plc More...
struct | TextZoneInfo
| internal class used to store a text zone More...
struct | Token
| Internal: class to store field definition: TOKN entry. More...
struct | DSET
| low level internal: main text zone More...
struct | State
| Internal: the state of a ClarisDrawText. More...

## Enumerations

enum | PLCType { P_Font , P_Ruler , P_Child , P_TextZone , P_Token , P_Unknown }
| the different plc type More...
enum | TokenType { TKN_UNKNOWN , TKN_FOOTNOTE , TKN_PAGENUMBER , TKN_GRAPHIC , TKN_FIELD }
| token type More...

## Functions

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Token const &tok)

## Detailed Description

Internal: the structures of a ClarisDrawText.

## Enumeration Type Documentation

## PLCType

enum ClarisDrawTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Ruler |
P_Child |
P_TextZone |
P_Token |
P_Unknown |

## TokenType

enum ClarisDrawTextInternal::TokenType

token type

Enumerator
TKN_UNKNOWN |
TKN_FOOTNOTE |
TKN_PAGENUMBER |
TKN_GRAPHIC |
TKN_FIELD |

## Function Documentation

## operator<<() [1/2]

std::ostream & ClarisDrawTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

## operator<<() [2/2]

std::ostream & ClarisDrawTextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok )